#include "stdafx.h"
#include "Yoda.h"
#include "windows.h"

Export myYoda;

// Set dll handle
HINSTANCE hDLL;

// Define the dll function "GetExport"
typedef Export (*myFunc1) (void);
myFunc1 GetExport;

// Define the dll function "EndYoda"
typedef bool (*myFunc2) (int info);
myFunc2 EndYoda;

void LoadFcn(void)
{
	// Load the buffer DLL in same Directory or insert here other location.
	hDLL = LoadLibrary (L"buffer.dll"); 

	if (hDLL!=NULL) {
	// Define the dll function "GetExport" and get its address
	GetExport = (myFunc1) GetProcAddress (hDLL, "GetExport");
	EndYoda = (myFunc2) GetProcAddress (hDLL, "EndYoda");
	}
}

void GetData(void)
{
	if (hDLL!=NULL) {myYoda = GetExport();}
}

void EndConnection(void)
{
	if (hDLL!=NULL) {
		EndYoda(1);
		FreeLibrary(hDLL);
		hDLL=NULL;
	}
}